package log.swing.filechooser;

import javax.swing.filechooser.*;
import java.io.*;


public class LogFileFilter extends javax.swing.filechooser.FileFilter {

   private String description;
   private String extension;

   public LogFileFilter(String description, String extension) {
      this.description = description;
      this.extension = extension;
   }

   public boolean accept(File file) {
      return file.isDirectory() || file.getName().endsWith(extension);
   }

   public String getDescription() {
      return description;
   }

}
